---
title: "Marks assets of a specific acceptance certificate with an acceptance status"
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-leases-acceptanceCertificates-leaseCompanyNumber---acceptanceCertificateId--assets/patch"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Marks assets of a specific acceptance certificate with an acceptance status

`PATCH` `/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/assets`

## Path parameters

- `leaseCompanyNumber` (integer, int32, required) - The lease company number of the acceptance certificate
- `acceptanceCertificateId` (integer, int32, required) - The id of the acceptance certificate

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Request body

Content types: `application/*+json`, `application/json`, `application/json-patch+json`

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/assets:
    patch:
      parameters:
        - description: The lease company number of the acceptance certificate
          in: path
          name: leaseCompanyNumber
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: The id of the acceptance certificate
          in: path
          name: acceptanceCertificateId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      requestBody:
        content:
          application/*+json:
            schema:
              items:
                $ref: "#/components/schemas/AssetConfirmationProcessPatchRequest"
              type: array
              x-is-public: true
          application/json:
            schema:
              items:
                $ref: "#/components/schemas/AssetConfirmationProcessPatchRequest"
              type: array
              x-is-public: true
          application/json-patch+json:
            schema:
              items:
                $ref: "#/components/schemas/AssetConfirmationProcessPatchRequest"
              type: array
              x-is-public: true
        description: The assets mark requests, defining the acceptance certificate on
          asset level
      responses:
        "200":
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      summary: Marks assets of a specific acceptance certificate with an acceptance
        status
      tags:
        - AcceptanceCertificateAssets
security:
  - PersonalAccessToken: []
components:
  schemas:
    AssetConfirmationProcessPatchRequest:
      additionalProperties: false
      properties:
        acceptanceStatus:
          $ref: "#/components/schemas/AcceptanceStatus"
        assetId:
          format: int64
          type: integer
        explanation:
          type: string
      required:
        - assetId
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    AcceptanceStatus:
      enum:
        - received
        - notReceived
        - damaged
        - pricingIssues
        - incorrectLeaseTerm
        - other
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
